## pyepl 1.0.26

=== code/hardware/sound/Makefile ===
# PyEPL: hardware/sound/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: _eplSound.so _soundFile.so

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)
########################################################
#
# Make rules for linux
#
########################################################
SOUND_DRIVER=ALSA

_eplSound.so: eplSound.o eplSound.i RtAudio.o fifo.o
	swig -c++ -python eplSound.i
	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound_wrap.cxx -o eplSound_wrap.o
	g++ -lpthread -lasound -shared eplSound_wrap.o eplSound.o RtAudio.o fifo.o -o _eplSound.so

eplSound.o: eplSound.cpp
	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound.cpp -o eplSound.o

fifo.o: fifo.cpp
	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c fifo.cpp -o fifo.o

RtAudio.o: RtAudio.cpp
	g++ -O2 -Wall -fPIC -D__LINUX_$(SOUND_DRIVER)__  -c RtAudio.cpp -o RtAudio.o

soundFile.o: soundFile.cpp soundFile.h
	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -c soundFile.cpp -o soundFile.o

_soundFile.so: soundFile.i soundFile.o
	swig -c++ -python soundFile.i
	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c soundFile_wrap.cxx -o soundFile_wrap.o
	g++ -lpthread -shared soundFile_wrap.o soundFile.o -lsndfile -lsamplerate -o _soundFile.so

endif

ifeq ($(PLATFORM), Darwin)
########################################################
#
# Make rules for mac
#
########################################################

LIBDIR = -L/usr/local/lib -L/opt/local/lib -L/sw/lib
INCLUDEDIR = -I/usr/local/include -I/opt/local/include -I/sw/include

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
LIBPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('LIBPL')")
PYTHON_INC = $(INCLUDEPY)
PYTHON_LIB = $(LIBPY)
FLAGS1 = -Wno-long-double -DHAVE_CONFIG_H
FLAGS2 = -bundle -undefined suppress -flat_namespace -lpthread -framework CoreAudio
FLAGS3 = -fno-strict-aliasing -Wno-long-double -no-cpp-precomp	\
-mno-fused-madd -fno-common -dynamic -DNDEBUG -O2 -Wall	

_eplSound.so: eplSound.o eplSound.i RtAudio.o fifo.o
	swig -c++ -python eplSound.i
	g++ $(FLAGS1) -I$(PYTHON_INC) -L$(PYTHON_LIB) -c eplSound_wrap.cxx 
	g++ $(FLAGS2) eplSound.o eplSound_wrap.o RtAudio.o fifo.o -o _eplSound.so 

eplSound.o: eplSound.cpp eplSound.h
	g++ $(FLAGS3) -I$(PYTHON_INC) -c eplSound.cpp -o eplSound.o

fifo.o: fifo.cpp fifo.h
	g++ $(FLAGS3) -I$(PYTHON_INC) -c fifo.cpp -o fifo.o

RtAudio.o: RtAudio.cpp
	g++ -O2 -Wall -D__MACOSX_CORE__ -c RtAudio.cpp -o RtAudio.o

soundFile.o: soundFile.cpp soundFile.h
	g++  -O2 -W -Wall -Wcast-align -Wcast-qual -Wwrite-strings -pipe -fpascal-strings -c soundFile.cpp -o soundFile.o $(LIBDIR) $(INCLUDEDIR)

_soundFile.so: soundFile.i soundFile.o
	swig -c++ -python soundFile.i		
	g++ -Wno-long-double -c soundFile_wrap.cxx -DHAVE_CONFIG_H -I$(PYTHON_INC)
	g++ -bundle -undefined suppress -flat_namespace soundFile_wrap.o soundFile.o -lsndfile -lsamplerate -o _soundFile.so $(LIBDIR) $(INCLUDEDIR)

test_epl: eplSound.o RtAudio.o test_epl.cpp
	g++ -O2 -I../  -D__MACOSX_CORE__ -o test_epl test_epl.cpp eplSound.o RtAudio.o -lstdc++ -lpthread  -framework CoreAudio

endif

clean:
	rm *.o *.so *.cxx

=== code/hardware/eeg/pulse/Makefile ===
# PyEPL: hardware/eeg/pulse/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: pulse.so

PLATFORM = $(shell uname)

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")

ifeq ($(PLATFORM), Linux)

pulse.so: pulse.o eplPulse.o
	gcc -shared pulse.o eplPulse.o -o pulse.so

pulse.o: pulse.c
	gcc -c -fPIC -I$(INCLUDEPY) pulse.c

eplPulse.o: eplPulse.c eplPulse.h
	gcc -c -fPIC -I$(INCLUDEPY) eplPulse.c

pulse.c: pulse.pyx
	pyrexc pulse.pyx

endif

ifeq ($(PLATFORM), Darwin)

pulse.so: pulse.o
	gcc -bundle -flat_namespace -undefined suppress pulse.o -o pulse.so

pulse.o: pulse.c
	gcc -fPIC -c pulse.c -I$(INCLUDEPY)

pulse.c: pulse.pyx
	pyrexc pulse.pyx

endif

## pyepl 1.0.28

=== code/hardware/eeg/pulse/Makefile ===
# PyEPL: hardware/eeg/pulse/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)
all: 
# Do nothing for now



endif

ifeq ($(PLATFORM), Darwin)
all: _awCard.so

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
LIBPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('LIBPL')")
PYTHON_INC = $(INCLUDEPY)
PYTHON_LIB = $(LIBPY)
FLAGS1 = -Wno-long-double -DHAVE_CONFIG_H
FLAGS2 = -bundle -undefined suppress -flat_namespace -lpthread
FLAGS3 = -fno-strict-aliasing -Wno-long-double -no-cpp-precomp	\
-mno-fused-madd -fno-common -dynamic -DNDEBUG -O2 -Wall	

_awCard.so: awCard.o awCard.i 
	swig -c++ -python awCard.i
	g++ $(FLAGS1) -I$(PYTHON_INC) -L$(PYTHON_LIB) -c awCard_wrap.cxx 
	g++ $(FLAGS2) awCard.o awCard_wrap.o -o $@ -law 

awCard.o: awCard.cpp awCard.h 
	g++ $(FLAGS3) -I$(PYTHON_INC) -c $*.cpp -o $@

awctest: awCard.cpp awCard.h
	g++ -g -o $@ awCard.cpp

clean:
	rm *.o *.so *.cxx

endif

## pyepl 1.0.29

=== code/Makefile ===
# PyEPL: Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: pyepl #manual
#someday someone should make the manual work under OS X

manual: FORCE
	$(MAKE) -C manual

#pyepl: deps hardware 
pyepl: hardware 

deps:
	$(MAKE) -C dependencies

hardware: FORCE
	$(MAKE) -C hardware

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)

#mechinput.so: mechinput.o
#	gcc -shared mechinput.o -o mechinput.so

#mechinput.o: mechinput.c
#	gcc -c -fPIC -I/usr/include/python2.3/ mechinput.c

#mechinput.c: mechinput.pyx
#	pyrexc mechinput.pyx

endif

ifeq ($(PLATFORM), Darwin)

#mechinput.so: mechinput.o
#	gcc -bundle -flat_namespace -undefined suppress mechinput.o -o mechinput.so

#mechinput.o: mechinput.c
#	gcc -fPIC -c mechinput.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3/

#mechinput.c: mechinput.pyx
#	pyrexc mechinput.pyx

endif

FORCE:

docs:
	$(MAKE) -C documentation

=== code/hardware/Makefile ===
# PyEPL: hardware/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: eeg sound vr rt eventpoll.so timing.so keyboard.so joystick.so mouse.so

eeg: FORCE
	$(MAKE) -C eeg

sound: FORCE
	$(MAKE) -C sound

vr: FORCE
	$(MAKE) -C vr

rt: FORCE
	$(MAKE) -C rt

FORCE:

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)

eventpoll.so: eventpoll.o
	gcc -shared eventpoll.o -o eventpoll.so

eventpoll.o: eventpoll.c
	gcc -c -fPIC -I/usr/include/python2.3/ eventpoll.c

eventpoll.c: eventpoll.pyx
	pyrexc eventpoll.pyx

timing.so: timing.o
	gcc -shared timing.o -o timing.so

timing.o: timing.c
	gcc -c -fPIC -I/usr/include/python2.3/ timing.c

timing.c: timing.pyx
	pyrexc timing.pyx

keyboard.so: keyboard.o
	gcc -shared keyboard.o -o keyboard.so

keyboard.o: keyboard.c
	gcc -c -fPIC -I/usr/include/python2.3/ keyboard.c

keyboard.c: keyboard.pyx
	pyrexc keyboard.pyx

joystick.so: joystick.o
	gcc -shared joystick.o -o joystick.so

joystick.o: joystick.c
	gcc -c -fPIC -I/usr/include/python2.3/ joystick.c

joystick.c: joystick.pyx
	pyrexc joystick.pyx

mouse.so: mouse.o
	gcc -shared mouse.o -o mouse.so

mouse.o: mouse.c
	gcc -c -fPIC -I/usr/include/python2.3/ mouse.c

mouse.c: mouse.pyx
	pyrexc mouse.pyx

endif

ifeq ($(PLATFORM), Darwin)

eventpoll.so: eventpoll.o
	gcc -bundle -flat_namespace -undefined suppress eventpoll.o -o eventpoll.so

eventpoll.o: eventpoll.c
	gcc -fPIC -c eventpoll.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3//

eventpoll.c: eventpoll.pyx
	pyrexc eventpoll.pyx

timing.so: timing.o
	gcc -bundle -flat_namespace -undefined suppress timing.o -o timing.so

timing.o: timing.c
	gcc -fPIC -c timing.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3//

timing.c: timing.pyx
	pyrexc timing.pyx

keyboard.so: keyboard.o
	gcc -bundle -flat_namespace -undefined suppress keyboard.o -o keyboard.so

keyboard.o: keyboard.c
	gcc -fPIC -c keyboard.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3//

keyboard.c: keyboard.pyx
	pyrexc keyboard.pyx

joystick.so: joystick.o
	gcc -bundle -flat_namespace -undefined suppress joystick.o -o joystick.so

joystick.o: joystick.c
	gcc -fPIC -c joystick.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3//

joystick.c: joystick.pyx
	pyrexc joystick.pyx

mouse.so: mouse.o
	gcc -bundle -flat_namespace -undefined suppress mouse.o -o mouse.so

mouse.o: mouse.c
	gcc -fPIC -c mouse.c -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/python2.3//

mouse.c: mouse.pyx
	pyrexc mouse.pyx

endif

=== code/hardware/rt/Makefile ===
# PyEPL: hardware/rt/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.


PLATFORM = $(shell uname)

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
LIBPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('LIBPL')")

ifeq ($(PLATFORM), Linux)

all: 
# Do nothing for now



endif

ifeq ($(PLATFORM), Darwin)
all: _realtime.so

_realtime.so: realtime.o realtime.i 
	swig -c++ -python realtime.i
	g++ -c  -Wno-long-double realtime_wrap.cxx -DHAVE_CONFIG_H -I$(INCLUDEPY)
	g++ -bundle -undefined suppress -flat_namespace realtime.o realtime_wrap.o -o _realtime.so -lpthread

realtime.o: realtime.cpp
	g++ -fno-strict-aliasing -Wno-long-double -no-cpp-precomp -mno-fused-madd -fno-common -dynamic -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -D__MACOSX_CORE__ -I$(INCLUDEPY) -c realtime.cpp -o realtime.o


endif

=== code/hardware/sound/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound_wrap.cxx -o eplSound_wrap.o
 	g++ -lpthread -lasound -shared eplSound_wrap.o eplSound.o RtAudio.o fifo.o -o _eplSound.so
 
-eplSound.o: eplSound.cpp
+eplSound.o: eplSound.cpp eplSound.h
 	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c eplSound.cpp -o eplSound.o
 
 fifo.o: fifo.cpp

=== code/hardware/vr/Makefile ===
# PyEPL: hardware/vr/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: avatar.so environment.so 

INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)

avatar.so: avatar.o
	gcc -shared avatar.o -o avatar.so

avatar.o: avatar.c
	gcc -c -fPIC -I$(INCLUDEPY) avatar.c

avatar.c: avatar.pyx
	pyrexc avatar.pyx

eyes.so: eyes.o
	gcc -shared eyes.o -o eyes.so

eyes.o: eyes.c
	gcc -c -fPIC -I$(INCLUDEPY) eyes.c

eyes.c: eyes.pyx
	pyrexc eyes.pyx

environment.so: environment.o
	gcc -shared environment.o -o environment.so

environment.o: environment.c
	gcc -c -fPIC -I$(INCLUDEPY) environment.c

environment.c: environment.pyx
	pyrexc environment.pyx

endif

ifeq ($(PLATFORM), Darwin)

avatar.so: avatar.o
	gcc -bundle -flat_namespace -undefined suppress avatar.o -lode -L/opt/local/lib -o avatar.so

avatar.o: avatar.c
	gcc -fPIC -c avatar.c -I$(INCLUDEPY)
avatar.c: avatar.pyx
	pyrexc avatar.pyx

eyes.so: eyes.o
	gcc -bundle -flat_namespace -undefined suppress eyes.o -o eyes.so

eyes.o: eyes.c
	gcc -fPIC -c eyes.c -I$(INCLUDEPY)
eyes.c: eyes.pyx
	pyrexc eyes.pyx

environment.so: environment.o
	gcc -bundle -flat_namespace -undefined suppress environment.o -o environment.so

environment.o: environment.c
	gcc -fPIC -c environment.c -I$(INCLUDEPY)
environment.c: environment.pyx
	pyrexc environment.pyx

endif

=== code/hardware/eeg/pulse/Makefile ===
--- 
+++ 
@@ -8,10 +8,18 @@
 # (LGPL). See the license.txt that came with this file.
 
 PLATFORM = $(shell uname)
+INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
 
 ifeq ($(PLATFORM), Linux)
-all: 
-# Do nothing for now
+all: _parallel.so
+
+_parallel.so: parallel.o parallel.i
+	swig -c++ -python parallel.i
+	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c parallel_wrap.cxx -o parallel_wrap.o
+	g++ -lpthread -shared parallel_wrap.o parallel.o -o _parallel.so
+
+parallel.o: parallel.cpp parallel.h
+	g++ -pthread -fno-strict-aliasing -DNDEBUG -O2 -Wall -fPIC -I$(INCLUDEPY) -c parallel.cpp -o parallel.o
 
 
 
@@ -38,7 +46,7 @@
 	g++ $(FLAGS3) -I$(PYTHON_INC) -c $*.cpp -o $@
 
 awctest: awCard.cpp awCard.h
-	g++ -g -o $@ awCard.cpp
+	g++ -g -o $@ awCard.cpp -law
 
 clean:
 	rm *.o *.so *.cxx

=== code/hardware/eeg/scalp/Makefile ===
# PyEPL: hardware/eeg/scalp/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: scalp.so


INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")

PLATFORM = $(shell uname)

ifeq ($(PLATFORM), Linux)

scalp.so: scalp.o epleeg.o epleeg_wrapper.o
	c++ -shared scalp.o epleeg.o epleeg_wrapper.o -o scalp.so

epleeg.o: epleeg.cpp
	g++ -c -fPIC epleeg.cpp

epleeg_wrapper.o: epleeg_wrapper.cpp
	g++ -c -fPIC epleeg_wrapper.cpp

scalp.o: scalp.c
	gcc -c -fPIC -I$(INCLUDEPY) scalp.c

scalp.c: scalp.pyx
	pyrexc scalp.pyx

endif

ifeq ($(PLATFORM), Darwin)

scalp.so: scalp.o epleeg.o epleeg_wrapper.o
	c++ -bundle -flat_namespace -undefined suppress scalp.o epleeg.o epleeg_wrapper.o -o scalp.so

epleeg.o: epleeg.cpp
	g++ -fPIC -c epleeg.cpp

epleeg_wrapper.o: epleeg_wrapper.cpp
	g++ -fPIC -c epleeg_wrapper.cpp

scalp.o: scalp.c
	gcc -fPIC -c scalp.c -I$(INCLUDEPY)
scalp.c: scalp.pyx
	pyrexc scalp.pyx

endif

## pyepl 1.1.0

=== code/hardware/eeg/Makefile ===
# PyEPL: hardware/eeg/Makefile
#
# Copyright (C) 2003-2005 Michael J. Kahana
# Authors: Ian Schleifer, Per Sederberg, Aaron Geller, Josh Jacobs
# URL: http://memory.psych.upenn.edu/programming/pyepl
#
# Distributed under the terms of the GNU Lesser General Public License
# (LGPL). See the license.txt that came with this file.

all: pulse scalp

pulse: FORCE
	$(MAKE) -C pulse

scalp: FORCE
	$(MAKE) -C scalp

FORCE:

=== code/hardware/rt/Makefile ===
--- 
+++ 
@@ -18,7 +18,8 @@
 all: 
 # Do nothing for now
 
-
+clean:
+	rm -f *.so *.o
 
 endif

## pyepl 1.1.0%2Bgit12-g365f8e3

=== debian/control ===
Source: pyepl
Section: python
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), libasound2-dev, libsndfile1-dev, libsamplerate0-dev, swig, libode-dev, python-all-dev (>=2.6.6-3~), jade, python-pyrex
XS-Python-Version: >=2.3
Homepage: http://pyepl.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pyepl.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pyepl.git
Standards-Version: 3.9.0

Package: python-pyepl
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, python-pyepl-common (= ${source:Version}), python-numpy, python-imaging, python-pygame, python-pyode, python-opengl, ttf-dejavu, ${shlibs:Depends}
Conflicts: python2.3-pyepl, python2.4-pyepl
Replaces: python2.3-pyepl, python2.4-pyepl
Provides: ${python:Provides}
Description: module for coding psychology experiments in Python
 PyEPL is a stimuli delivery and response registration toolkit to be
 used for generating psychology (as well as neuroscience, marketing
 research, and other) experiments.
 .
 It provides
  - presentation: both visual and auditory stimuli
  - responses registration: both manual (keyboard/joystick) and
    sound (microphone) time-stamped
  - sync-pulsing: synchronizing your behavioral task with external
    acquisition hardware
  - flexibility of encoding various experiments due to the use of
    Python as a description language
  - fast execution of critical points due to the calls to linked
    compiled libraries
 .
 This toolbox is here to be an alternative for a widely used
 commercial product E'(E-Prime)
 .
 This package provides PyEPL for supported versions of Python.

Package: python-pyepl-common
Architecture: all
Depends: ${misc:Depends}, python
Description: module for coding psychology experiments in Python
 PyEPL is a stimuli delivery and response registration toolkit to be
 used for generating psychology (as well as neuroscience, marketing
 research, and other) experiments.
 .
 It provides
  - presentation: both visual and auditory stimuli
  - responses registration: both manual (keyboard/joystick) and
    sound (microphone) time-stamped
  - sync-pulsing: synchronizing your behavioral task with external
    acquisition hardware
  - flexibility of encoding various experiments due to the use of
    Python as a description language
  - fast execution of critical points due to the calls to linked
    compiled libraries
 .
 This toolbox is here to be an alternative for a widely used
 commercial product E'(E-Prime)
 .
 This package provides common files such as images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# build-arch and build-indep targets  by Bill Allombert 2001
# Changes for python-pyepl by Yaroslav Halchenko

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS  := $(shell pyversions -vs)
PYVER   := $(shell pyversions -vd)

include /usr/share/python/python.mk

PYNAME=pyepl
PYPACKAGE=python-$(PYNAME)
BASE=$(CURDIR)/debian
PY_COMMON_PATH=$(BASE)/$(PYPACKAGE)-common/usr/share/$(PYPACKAGE)/

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

#Architecture
build: build-arch build-indep
build-arch: build-arch-stamp
build-arch-stamp: $(PYVERS:%=build-arch-python%)
	touch $@

build-arch-python%:
	python$* setup.py build_ext
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
#	$(MAKE) -C code/documentation/
	touch $@

clean:
	dh_testdir
	dh_testroot

	python setup.py clean

	rm -f build-arch-stamp build-arch-python* build-indep-stamp
	rm -rf build
	dh_clean

pre-install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

install: build pre-install install-indep install-arch
install-indep:
	dh_installdirs -i

	mkdir -p $(PY_COMMON_PATH)
	cp -rp code/resources/*.png $(PY_COMMON_PATH)

	dh_install -i

install-python%:
	python$* setup.py install --root $(BASE)/$(PYPACKAGE) --no-compile --install-layout=deb
	# remove unneeded and manually installed files
	rm -f $(BASE)/$(PYPACKAGE)/usr/lib/*/*/pyepl/license.txt
	rm -f $(BASE)/$(PYPACKAGE)/usr/lib/*/*/pyepl/resources/*
	python$* setup.py clean

install-arch: pre-install $(PYVERS:%=install-python%)

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link

	dh_strip

	dh_python2

	dh_compress -X.py -X.pdf
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## pyepl 1.1.0+git12

=== code/Makefile ===
--- 
+++ 
@@ -21,6 +21,11 @@
 
 hardware: FORCE
 	$(MAKE) -C hardware
+
+clean:
+# quick and dirty
+	find -iname \*.o -o -iname \*.so -exec rm \{\} \;
+#$(MAKE) -C hardware clean
 
 PLATFORM = $(shell uname)

=== code/hardware/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #
 # Distributed under the terms of the GNU Lesser General Public License
 # (LGPL). See the license.txt that came with this file.
+
 
 all: eeg sound vr rt eventpoll.so timing.so keyboard.so joystick.so mouse.so
 
@@ -21,6 +22,12 @@
 rt: FORCE
 	$(MAKE) -C rt
 
+clean:
+	rm -f *.o *.so
+	for d in eeg sound vr rt; do $(MAKE) -C $$d clean; done
+# very cruel I know
+	for f in `find -iname \*.pyx`; do rm -f "$${f//.pyx/.c}"; done
+	for f in `find -iname \*.i`; do rm -f "$${f//.i/.py}"; done
 FORCE:
 
 PLATFORM = $(shell uname)

=== code/hardware/sound/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all: _eplSound.so _soundFile.so
 
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../Makefile.common
 
 PLATFORM = $(shell uname)
 
@@ -92,4 +92,4 @@
 endif
 
 clean:
-	rm *.o *.so *.cxx
+	rm -f *.o *.so *.cxx

=== code/hardware/vr/Makefile ===
--- 
+++ 
@@ -9,9 +9,12 @@
 
 all: avatar.so environment.so 
 
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../Makefile.common
 
 PLATFORM = $(shell uname)
+
+clean:
+	rm -fr *.o *.so pyODE-0.35cvs-2
 
 ifeq ($(PLATFORM), Linux)

=== code/hardware/eeg/pulse/Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 PLATFORM = $(shell uname)
 INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+
+include ../../../../Makefile.common
 
 ifeq ($(PLATFORM), Linux)
 all: _parallel.so
@@ -48,7 +50,7 @@
 awctest: awCard.cpp awCard.h
 	g++ -g -o $@ awCard.cpp -law
 
+endif
+
 clean:
-	rm *.o *.so *.cxx
-
-endif
+	rm -f *.o *.so *.cxx

=== code/hardware/eeg/scalp/Makefile ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 all: scalp.so
 
-
-INCLUDEPY=$(shell python -c "import distutils.sysconfig;print distutils.sysconfig.get_config_var('INCLUDEPY')")
+include ../../../../Makefile.common
 
 PLATFORM = $(shell uname)

## pyepl 1.1.0+git12-g365f8e3

=== debian/changelog ===
pyepl (1.1.0+git12-g365f8e3-3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:51 +0000

pyepl (1.1.0+git12-g365f8e3-3ubuntu1) focal; urgency=medium

  * python-pyepl-common: Hardcode python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 13:55:52 +0100

pyepl (1.1.0+git12-g365f8e3-3build3) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 18:57:00 +0000

pyepl (1.1.0+git12-g365f8e3-3build2) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:17 +0000

pyepl (1.1.0+git12-g365f8e3-3build1) disco; urgency=medium

  * No-change rebuild against libode8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 22:46:27 +0000

pyepl (1.1.0+git12-g365f8e3-3) unstable; urgency=medium

  * Team upload.
  * debian/gbp.conf: Set packaging branch name debian
  * Drop Build-Depends: jade
    Closes: #840377
  * Depends: s/python-imaging/python-pil/
    Closes: #866459
  * Build-Depends: dh-python
  * DEP5 fixes
  * debhelper 10
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Testsuite: autopkgtest-pkg-python
  * Drop ancient field X-Python-Version
  * Remove obsolete debian/pycompat
  * DEP3 fields
  * d/rules: Short dh
  * Add some Depends to Build-Depends to run unit tests
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 14:05:00 +0200

pyepl (1.1.0+git12-g365f8e3-2) unstable; urgency=low

  * debian/patches/deb_path_to_resources
    - load icon.png and splash.png from under /usr/share/pyepl
      (Thanks ctw for the report)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 22 Oct 2013 08:43:32 -0400

pyepl (1.1.0+git12-g365f8e3-1) unstable; urgency=low

  [ Yaroslav Halchenko]
  * This is not actually a new upstream release, but rather a
    clarification for 1.1.0-3 which absorbed lots of upstream changes
    without a boost of upstream revision
  * Move to 3.0(quilt) source format
  * ACK NMU by Michael -- thanks!
  * Added debian/gbp.conf to ease building using g-b-p

  [ Paolo Rotolo ]
  * Convert to dh_python2 (Closes: #616962)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Jun 2013 09:18:34 -0400

pyepl (1.1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix gcc 4.7 build issue (closes: #692184).
  * Add kfreebsd support to makefiles (closes: #692101).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 03 Nov 2012 04:14:46 +0000

pyepl (1.1.0-3) unstable; urgency=low

  * Absorbed some changes from upstream:
     - NF: Added show warnings on streams.
     - RF: Cleaning up sound code.
     - BF: Was not picking streams properly.
     - BF: Trying out separate streams.
     - BF: Added updated RtAudio files for potential recording bug fix.
     - BF/NF: If you generate a Showable surface yourself, do not unload
       it automatically.
     - DOC: Updated changelog with another update.
     - DOC: Updated changelog with the latest fix.
     - BF: Fixed simulatneous play/record bug.
     - NF: Added flush to sound recording.
  * Debian packaging:
     - Policy compliance boosted to 3.9.0: no changes seems to be due
     - Moved under NeuroDebian umbrella
     - Converting copyright to machine-readable DEP5
     - Build-Depends on python-all-dev

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Jul 2010 14:08:55 -0400

pyepl (1.1.0-2) unstable; urgency=low

  * BF: use ode-config provided flags for avatar.so (Closes: #521755)
  * {misc:Depends}
  * Boosted standards version to 3.8.4: no changes

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 07 May 2010 17:03:38 -0400

pyepl (1.1.0-1) unstable; urgency=low

  * New upstream release (gcc 4.3 compatible, so a relevant
    dpatch is dropped)
  * Debian packaging:
    - debhelper compatibility boosted to 5
    - both upstream and Debian packaging are available within the same
      git repository (so VCS fields added). Previous histories
      (upstream, debian packaging) are imported and finally merged
      within the same tree
    - boosted standards revision (no changes are due) to 3.8.1
    - stripped off dpatch and absorbed the patches within debian and upstream
      branches
    - README.Debian-source mentions the fact that we are building directly
      from git (upstream+debian) now
    - deprecating confusing autogeneration of debian/control
    - provided VCS fields within debian/control
    - adopted the patch from Matthias Klose <doko@ubuntu.com>, which should
      make pyepl friendlier to python2.6 and make use of python-provided
      makefile

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 May 2009 15:54:48 -0400

pyepl (1.0.29-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change libode0-dev build-dep to libode-dev. (Closes: #520732).
  * Use python-numpy in place of python-numeric-ext. (Closes: #478445).
  * Replace ttf-bitstream-vera with ttf-dejavu. (Closes: #528151).
    + Source was already patched to use DejavuSans.tff.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 13 May 2009 12:18:36 -0400

pyepl (1.0.29-3) unstable; urgency=low

  * Rebuild to move files to /usr/share/pyshared (Closes: #490519)
  * Boosted standards version to 3.8.0:
   - section python instead of science
   - homepage header field
  * Slight adjustment of the description
  * gcc-4.3 compatibility patch (fixed FTBS on up-to-date sid) 

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 12 Jul 2008 22:44:14 -0400

pyepl (1.0.29-2) unstable; urgency=low

  * Replaced dependenship on ttf-bitstream-vera. Now use ttf-dejavu
    (Closes: #461284). Thanks Daniel Baumann

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 22 Feb 2008 10:37:23 -0500

pyepl (1.0.29-1.1) unstable; urgency=low

  * Non-maintainer upload.


=== debian/control ===
--- 
+++ 
@@ -1,21 +1,46 @@
 Source: pyepl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Michael Hanke <michael.hanke@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 5.0.37.2), libasound2-dev, libsndfile1-dev, libsamplerate0-dev, swig, libode-dev, python-all-dev (>=2.6.6-3~), jade, python-pyrex
-XS-Python-Version: >=2.3
+Build-Depends: debhelper (>= 10~),
+               dh-python,
+               libasound2-dev,
+               libsndfile1-dev,
+               libsamplerate0-dev,
+               swig,
+               libode-dev,
+               python-setuptools,
+               python-all-dev,
+               python-opengl,
+               python-pyode,
+               python-pyrex,
+               python-pygame
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/neurodebian-team/pyepl
+Vcs-Git: https://salsa.debian.org/neurodebian-team/pyepl.git
 Homepage: http://pyepl.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pyepl.git
-Vcs-Git: git://git.debian.org/git/pkg-exppsy/pyepl.git
-Standards-Version: 3.9.0
 
 Package: python-pyepl
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, python-pyepl-common (= ${source:Version}), python-numpy, python-imaging, python-pygame, python-pyode, python-opengl, ttf-dejavu, ${shlibs:Depends}
-Conflicts: python2.3-pyepl, python2.4-pyepl
-Replaces: python2.3-pyepl, python2.4-pyepl
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python-pyepl-common (= ${source:Version}),
+         python-numpy,
+         python-pil,
+         python-pygame,
+         python-pyode,
+         python-opengl,
+         ttf-dejavu,
+         ${shlibs:Depends}
+Conflicts: python2.3-pyepl,
+           python2.4-pyepl
 Provides: ${python:Provides}
+Replaces: python2.3-pyepl,
+          python2.4-pyepl
 Description: module for coding psychology experiments in Python
  PyEPL is a stimuli delivery and response registration toolkit to be
  used for generating psychology (as well as neuroscience, marketing
@@ -39,7 +64,8 @@
 
 Package: python-pyepl-common
 Architecture: all
-Depends: ${misc:Depends}, python
+Depends: ${misc:Depends},
+         python2
 Description: module for coding psychology experiments in Python
  PyEPL is a stimuli delivery and response registration toolkit to be
  used for generating psychology (as well as neuroscience, marketing
@@ -60,4 +86,3 @@
  commercial product E'(E-Prime)
  .
  This package provides common files such as images.
-
